# Wooly-Vault

A few small challenges for ⚒️  Rust Hackers 🦀

## Configuration

Each challenge requires some basic information to host:

* secret - a string that if found signifies that the challenge was solved

* addr - the network adress plus port the challenge should run on

* verbosity - how verbose the logging should be

* challenge - which challenge to host (there are a few)

The secret cannot be inputted with a command line argument, because the arguments can often be
seen in the process view. You may either specify a secret in the 'WOOLY_SECRET' environment
variable or input it interactively on start.

## Challenges

There are a number of challenges:

1. Connect by TCP

2. Connect by TCP and send a special u16

3. Connect by TCP, get sent dynamic math questions, solve them fast enough

## Solution

Solutions for some challenges can be found in [solutions](./solutions/). Don't spoil the 
challenge for yourself.
